import {usePermissions} from '@refinedev/core'
import {PropsWithChildren} from 'react'

export const AdminOnly: React.FC<PropsWithChildren> = ({children}) => {
  const {data: permissions} = usePermissions<string[]>() // добавляем generic тип

  if (!permissions?.includes('admin')) {
    return null
  }

  return <>{children}</>
}
